<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StockOrder](./bitburner.stockorder.md)

## StockOrder interface


**Signature:**

```typescript
interface StockOrder 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[position](./bitburner.stockorder.position.md)


</td><td>


</td><td>

[PositionType](./bitburner.positiontype.md)


</td><td>

Order position


</td></tr>
<tr><td>

[price](./bitburner.stockorder.price.md)


</td><td>


</td><td>

number


</td><td>

Price per share


</td></tr>
<tr><td>

[shares](./bitburner.stockorder.shares.md)


</td><td>


</td><td>

number


</td><td>

Number of shares


</td></tr>
<tr><td>

[type](./bitburner.stockorder.type.md)


</td><td>


</td><td>

[OrderType](./bitburner.ordertype.md)


</td><td>

Order type


</td></tr>
</tbody></table>

